Magick::DrawableStrokeDashArray Class Reference

`#include <Drawable.h>`

Inheritance diagram for Magick::DrawableStrokeDashArray:
[legend]
Collaboration diagram for Magick::DrawableStrokeDashArray:
[legend]

## Public Member Functions

| DrawableStrokeDashArray (const double *dasharray_)
| DrawableStrokeDashArray (const Magick::DrawableStrokeDashArray &original_)
| ~DrawableStrokeDashArray (void)
void | operator() (MagickCore::DrawingWand *context_) const
DrawableBase * | copy () const
void | dasharray (const double *dasharray_)
const double * | dasharray (void) const
DrawableStrokeDashArray & | operator= (const Magick::DrawableStrokeDashArray &original_)
Public Member Functions inherited from Magick::DrawableBase
| DrawableBase (void)
virtual | ~DrawableBase (void)

## Detailed Description

Definition at line 1721 of file Drawable.h.

## Constructor & Destructor Documentation

## DrawableStrokeDashArray() [1/2]

Magick::DrawableStrokeDashArray::DrawableStrokeDashArray | ( | const double * | dasharray_ | ) |

Definition at line 1161 of file Drawable.cpp.

References dasharray().

## DrawableStrokeDashArray() [2/2]

Magick::DrawableStrokeDashArray::DrawableStrokeDashArray | ( | const Magick::DrawableStrokeDashArray & | original_ | ) |

Definition at line 1168 of file Drawable.cpp.

## ~DrawableStrokeDashArray()

Magick::DrawableStrokeDashArray::~DrawableStrokeDashArray | ( | void |  | ) |

Definition at line 1182 of file Drawable.cpp.

## Member Function Documentation

## copy()

Magick::DrawableBase * Magick::DrawableStrokeDashArray::copy | ( |  | ) | const

virtual

Reimplemented from Magick::DrawableBase.

Definition at line 1214 of file Drawable.cpp.

## dasharray() [1/2]

void Magick::DrawableStrokeDashArray::dasharray | ( | const double * | dasharray_ | ) |

Definition at line 1219 of file Drawable.cpp.

## dasharray() [2/2]

const double * Magick::DrawableStrokeDashArray::dasharray | ( | void |  | ) | const

Definition at line 1253 of file Drawable.cpp.

Referenced by DrawableStrokeDashArray().

## operator()()

void Magick::DrawableStrokeDashArray::operator() | ( | MagickCore::DrawingWand * | context_ | ) | const

virtual

Reimplemented from Magick::DrawableBase.

Definition at line 1207 of file Drawable.cpp.

## operator=()

Magick::DrawableStrokeDashArray & Magick::DrawableStrokeDashArray::operator= | ( | const Magick::DrawableStrokeDashArray & | original_ | ) |

Definition at line 1189 of file Drawable.cpp.

The documentation for this class was generated from the following files:

- Drawable.h
- Drawable.cpp